summaryrefslogtreecommitdiff
path: root/plugins/bundler/bundler.plugin.zsh
diff options
context:
space:
mode:
Diffstat (limited to 'plugins/bundler/bundler.plugin.zsh')
-rw-r--r--plugins/bundler/bundler.plugin.zsh10
1 files changed, 6 insertions, 4 deletions
diff --git a/plugins/bundler/bundler.plugin.zsh b/plugins/bundler/bundler.plugin.zsh
index 6b10b78d1..668e15d2f 100644
--- a/plugins/bundler/bundler.plugin.zsh
+++ b/plugins/bundler/bundler.plugin.zsh
@@ -54,10 +54,14 @@ done
## Functions
bundle_install() {
- if _bundler-installed && _within-bundled-project; then
+ if ! _bundler-installed; then
+ echo "Bundler is not installed"
+ elif ! _within-bundled-project; then
+ echo "Can't 'bundle install' outside a bundled project"
+ else
local bundler_version=`bundle version | cut -d' ' -f3`
if [[ $bundler_version > '1.4.0' || $bundler_version = '1.4.0' ]]; then
- if [[ "$OSTYPE" = darwin* ]]
+ if [[ "$OSTYPE" = (darwin|freebsd)* ]]
then
local cores_num="$(sysctl -n hw.ncpu)"
else
@@ -67,8 +71,6 @@ bundle_install() {
else
bundle install $@
fi
- else
- echo "Can't 'bundle install' outside a bundled project"
fi
}